LibreOffice: XTerminateListener Interface Reference

LibreOffice LibreOffice 5.1 SDK API Reference

Public Member Functions | List of all members
XTerminateListener Interface Referencepublished

has to be provided if an object wants to receive an event when the master environment (e.g., desktop) is terminated. More...

`import"XTerminateListener.idl";`

Inheritance diagram for XTerminateListener:

## Public Member Functions
void | queryTermination ([in] com::sun::star::lang::EventObject Event) raises ( TerminationVetoException )
| is called when the master environment (e.g., desktop) is about to terminate. More...
void | notifyTermination ([in] com::sun::star::lang::EventObject Event)
| is called when the master environment is finally terminated. More...
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

has to be provided if an object wants to receive an event when the master environment (e.g., desktop) is terminated.

See also
  XDesktop::terminate()
  XDesktop::addTerminateListener()
  XDesktop::removeTerminateListener()

## Member Function Documentation

## § notifyTermination()

void notifyTermination | ( | [in] com::sun::star::lang::EventObject | Event | ) |

is called when the master environment is finally terminated.

Not veto will be accepted then.

Parameters

  Event | describe the source of the event (e.g., the desktop)

## § queryTermination()

void queryTermination | ( | [in] com::sun::star::lang::EventObject | Event | ) |
raises | ( | TerminationVetoException
| ) |  |

is called when the master environment (e.g., desktop) is about to terminate.

Termination can be intercepted by throwing TerminationVetoException. Interceptor will be the new owner of desktop and should call XDesktop::terminate() after finishing his own operations.

Parameters

  Event | describe the source of the event (e.g., the desktop)

Exceptions

  TerminationVetoException | listener can disagree with this query by throwing this veto exception

The documentation for this interface was generated from the following file:

- com/sun/star/frame/XTerminateListener.idl